%global npm_name debug
%global enable_tests 0

%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%{?scl:
%define _use_internal_dependency_generator 0
%define __find_requires %{_rpmconfigdir}/%{scl_prefix}require.sh
%define __find_provides %{_rpmconfigdir}/%{scl_prefix}provide.sh}

Summary:       small debugging utility
Name:          %{?scl_prefix}nodejs-%{npm_name}
Version:       0.7.2
Release:       1%{?dist}
Group:         Development/Languages
License:       MIT
URL:           http://github.com/visionmedia/debug
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: %{?scl_prefix}nodejs-devel
BuildArch:     noarch

%description
tiny node.js debugging utility modelled after 
node core's debugging technique.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr debug.js index.js package.json lib %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc example History.md Readme.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Fri Aug 30 2013 Troy Dawson <tdawson@redhat.com> - 0.7.2-2
- Add support for software collections

* Fri Aug 30 2013 Troy Dawson <tdawson@redhat.com> - 0.7.2-1
- Initial Build
